de.esprit.common.gui

## Class Audios

- java.lang.Object
- - de.esprit.common.gui.Audios

-     public class Audios
      extends java.lang.Object

  Implements a cache for preloaded audio clips for immediate playing.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Audios()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Just for testing only
    `static void` | `play(ResourceDef audioRsc)`
    `static void` | `playAlarm()` Plays the audio clip for the alarm sound (when a alarm event occurs).
    `static void` | `playDisconnected()` Plays the audio clip for the disconnected sound.
    `static void` | `playFlupp()` Plays the audio clip for the flupp sound (when a Plate is moved).
    `static void` | `playMessage()` Plays the audio clip for a received message.
    `static void` | `preloadAllAudios()` Preloads all availabel audio resources for immediate playing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Audios

          public Audios()

  - ### Method Detail

    - #### play

          public static void play(ResourceDef audioRsc)

    - #### playAlarm

          public static void playAlarm()

      Plays the audio clip for the alarm sound (when a alarm event occurs).

    - #### playFlupp

          public static void playFlupp()

      Plays the audio clip for the flupp sound (when a Plate is moved).

    - #### playDisconnected

          public static void playDisconnected()

      Plays the audio clip for the disconnected sound.

    - #### playMessage

          public static void playMessage()

      Plays the audio clip for a received message.

    - #### preloadAllAudios

          public static void preloadAllAudios()

      Preloads all availabel audio resources for immediate playing.

    - #### main

          public static void main(java.lang.String[] args)

      Just for testing only

Copyright © 2014 EsprIT-Systems. All Rights Reserved.